# module ActiveLdap::Operations::ClassOnlyUpdate

### Public Instance Methods

update(dn, attributes, options={}) click to toggle source

    # File lib/active_ldap/operations.rb, line 608
    def update(dn, attributes, options={})
      if dn.is_a?(Array)
        i = -1
        dns = dn
        dns.collect do |_dn|
          i += 1
          update(_dn, attributes[i], options)
        end
      else
        object = find(dn, options)
        object.update_attributes(attributes)
        object
      end
    end